package com.sf.system.deployment.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.sf.common.annotation.Excel;
import com.sf.common.core.domain.BaseEntity;

/**
 * 白名单成员列对象 DEPLOYMENT_WHITELIST_LIST
 * 
 * @author ztzh
 * @date 2024-05-06
 */
public class DeploymentWhitelistList extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 白名单id */
    @Excel(name = "白名单id")
    private Long whitelistId;

    /** 应用id */
    @Excel(name = "应用id")
    private Long appId;

    /** 应用code */
    @Excel(name = "应用code")
    private String appCode;

    /** 人员或设备id */
    @Excel(name = "人员或设备id")
    private String user;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 排序 */
    @Excel(name = "排序")
    private Long orderNum;

    /** 逻辑删除,0:未删除,1:删除 */
    @Excel(name = "逻辑删除,0:未删除,1:删除")
    private Long isDelete;

    /** 创建人 */
    @Excel(name = "创建人")
    private String created;

    /** 更新人 */
    @Excel(name = "更新人")
    private String modified;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setWhitelistId(Long whitelistId) 
    {
        this.whitelistId = whitelistId;
    }

    public Long getWhitelistId() 
    {
        return whitelistId;
    }
    public void setAppId(Long appId) 
    {
        this.appId = appId;
    }

    public Long getAppId() 
    {
        return appId;
    }
    public void setAppCode(String appCode) 
    {
        this.appCode = appCode;
    }

    public String getAppCode() 
    {
        return appCode;
    }
    public void setUser(String user)
    {
        this.user = user;
    }

    public String getUser()
    {
        return user;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setOrderNum(Long orderNum) 
    {
        this.orderNum = orderNum;
    }

    public Long getOrderNum() 
    {
        return orderNum;
    }
    public void setIsDelete(Long isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() 
    {
        return isDelete;
    }
    public void setCreated(String created) 
    {
        this.created = created;
    }

    public String getCreated() 
    {
        return created;
    }
    public void setModified(String modified) 
    {
        this.modified = modified;
    }

    public String getModified() 
    {
        return modified;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("whitelistId", getWhitelistId())
            .append("appId", getAppId())
            .append("appCode", getAppCode())
            .append("user", getUser())
            .append("remarks", getRemarks())
            .append("orderNum", getOrderNum())
            .append("isDelete", getIsDelete())
            .append("created", getCreated())
            .append("modified", getModified())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
